I noticed that when you try to upgrade OES2 SP1 with 'rug up -t patch' it also selects the move-to-oes2-sp2 and move-to-sles10-sp3 patches.

According to Novell documentation the only right way to patch OES2 is using the '-t patch' flag and also from the OES2 SP2 upgrade documentation:

"Install the move-to-oes2-sp2 patch on the server. This is an optional patch and will never be installed automatically."

Unfortunatly they do get selected automatically when you use 'rug up -t patch'.

So, how should we update our OES2 SP1 servers now? Just by omitting the '-t patch' flag?